## mutter 48.1

=== debian/changelog ===
mutter (48.1-1ubuntu3) plucky; urgency=medium

  * Add wayland-xdg-shell-Check-for-NULL-xdg_popup-resource.patch and
    wayland-xdg-shell-Check-popup-resource-for-parent-unmappe.patch to fix
    popup crashes (LP: #2043177)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Apr 2025 13:47:27 +0800

mutter (48.1-1ubuntu2) plucky; urgency=medium

  * Add cursor-sprite-xcursor-Reset-current_frame-only-if-xcursor.patch
    to fix animated cursors (LP: #2106097)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Apr 2025 16:35:31 +0800

mutter (48.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian (unreleased) 48.1-1.
  * Updated x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Fixed conflicts with 48.1
    - Fixed memory-use-after-free in meta_monitor_manager_ensure_configured
      that manifested as test failures in mutter-cursor-tests.
  * Drop seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
    because 48.1 fixes the same bug in a different way.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Apr 2025 15:58:12 +0800

mutter (48.1-1) UNRELEASED; urgency=medium

  * New upstream release 48.1
    (fixes LP: #2104183, LP: #2103886, LP: #2103983, LP: #2099658)
  * Drop upstreamed patches:
    - kms-impl-device-Always-catch-pending-KMS-update-in-_sched.patch
    - Revert-onscreen-native-Account-for-all-posted-frames.patch
    - tests-Raise-the-timeout-on-monitor-unit-from-1-minute-to-.patch
  * Refresh patches:
    - tests-Do-not-run-screencast-tests.patch
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
  * libmutter-16-0.symbols, libmutter-test-16.symbols: Add new symbols in 48.1
  * debian: Split man pages into the packages that contain the binaries

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Apr 2025 13:28:46 +0800

mutter (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
    - Add Use-access-instead-of-checking-permission-modes-for-tmp-..patch
      to fix access check for X11_TMP_UNIX_DIR
    - Add tests-Mark-wayland-unit-as-flaky.patch to avoid spurious Launchpad
      build failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:07:14 -0400

mutter (48~rc-4ubuntu2) plucky; urgency=medium

  * Refresh seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
  * Add tests-Mark-wayland-unit-as-flaky.patch to avoid spurious Launchpad
    build failures that blocked the previous 48~rc-ubuntu tags.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 14 Mar 2025 17:52:01 +0800

mutter (48~rc-4ubuntu1) plucky; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Update d/libmutter-1{5->6}-0.lintian-overrides.

  [ Daniel van Vugt ]
  * Merge with Debian 48~rc-4
  * Merge up to 968dae3916 to resolve touchscreen problems on X11
    (LP: #2063005, LP: #1904237)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 12 Mar 2025 17:14:05 +0800

mutter (48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
    - Add Use-access-instead-of-checking-permission-modes-for-tmp-..patch
      to fix access check for X11_TMP_UNIX_DIR

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 11:38:49 -0500

mutter (48~beta-5ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
  * Restore patch to "Fix access check for X11_TMP_UNIX_DIR".
    It was accidentally removed when packaging 48 Beta (LP: #2069564)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 16:31:27 -0500

mutter (48~beta-4ubuntu1) plucky; urgency=medium

  * Merge with debian, remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Add seat-impl-Initialize-the-impl-reverse-pointer-slightly-ea.patch
      to avoid crashing when mousekeys or keyboard a11y features are
      enabled
  * d/p: Refresh indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 18 Feb 2025 17:38:41 +0100

mutter (48~beta-3ubuntu1) plucky; urgency=medium

  * Merge with Debian.
  * debian/patches/xrandr-scaling: Update for mutter 48
  * debian/patches/ubuntu: Make argcomplete in gdctl optional
  * debian/control: Mark python3-argcomplete as suggested package.
    As per the patch we have now to make python3-argcomplete option, we can
    safely mark python3-argcomplete as a suggested package, given that's not
    in main in ubuntu
  * Remaining changes with debian:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch

