=== debian/control ===
--- 
+++ 
@@ -102,7 +102,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://mutter.gnome.org/
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/forky
 Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
