=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -102,8 +105,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://mutter.gnome.org/
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/forky
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Browser: https://git.progress-linux.org/horok/mutter
+Vcs-Git: https://git.progress-linux.org/horok/mutter
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/trixie
 
 Package: mutter
 Architecture: linux-any
@@ -309,17 +314,3 @@
  library used to simplify usage of OpenGL pipelines, as well as a fork
  of Clutter, a scene graph and user interface toolkit.
  .
- This package contains the shared files.
-
-Package: mutter-common-bin
-Section: misc
-Architecture: linux-any
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gir1.2-glib-2.0,
-         python3,
-         python3-gi,
-Suggests: python3-argcomplete,
-Breaks: mutter (<< 48.1~)
-Replaces: mutter (<< 48.1~)
