## mutter 49~alpha.1

=== debian/changelog ===
mutter (49~alpha.1-0ubuntu7) questing; urgency=medium

  * debian/control: mutter-common breaks older versions of libmutter so don't
    allow it to install prematurely (LP: #2118736)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 25 Jul 2025 11:03:00 +0800

mutter (49~alpha.1-0ubuntu6) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Restore mutter-17-tests Depends: umockdev

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 18 Jul 2025 12:41:33 +0800

mutter (49~alpha.1-0ubuntu5) questing; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: Drop new binary dependency on umockdev. It's very
    weak (043efbb1831) and an unnecessary blocker being in universe.
  * debian/libmutter-17-0.lintian-overrides: Fix outdated reference to
    libmutter-16.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 17 Jul 2025 14:46:34 +0800

mutter (49~alpha.1-0ubuntu4) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * d/control: Add misisng ${misc:Depends} to mutter-dev-bin
  * d/source/lintian-overrides: Drop unhandled and outdated line
  * d/p/ubuntu: Enable window edge constraint override support again
  * d/control: Add missing mutter-17-tests gio runtime dependencies
  * d/control: Add new mutter-17-tests umockdev runtime dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 05:29:42 +0200

mutter (49~alpha.1-0ubuntu3) questing; urgency=medium

  * debian/patches: Mark more tests as flaky for 49.alpha. These issues
    have been reported upstream.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Jul 2025 18:10:10 +0800

mutter (49~alpha.1-0ubuntu2) questing; urgency=medium

  * debian/control: Add umockdev build dep in addition to libumockdev-dev.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Jul 2025 18:09:06 +0800

mutter (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release 49.alpha.1 (LP: #1968901, LP: #2100243, LP: #2102063)
  * Drop Xorg-specific patches:
    - clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    - x11-Add-support-for-fractional-scaling-using-Randr.patch
  * Drop upstreamed patches:
    - wayland-xdg-shell-Check-popup-resource-for-parent-unmappe.patch
    - wayland-xdg-shell-Check-for-NULL-xdg_popup-resource.patch
    - cursor-drag-and-drop.patch
    - cursor-sprite-xcursor-Reset-current_frame-only-if-xcursor.patch
    - Use-access-instead-of-checking-permission-modes-for-tmp-..patch
  * Refresh patches:
    - tests-Do-not-run-screencast-tests.patch
    - Mark-several-additional-tests-as-flaky.patch
    - tests-Install-stacking-tests-into-a-subdirectory.patch
  * Disable patch: window-Add-ability-to-override-the-edge-constraints.patch
    because it doesn't apply anymore and its existence not fully explained.
    It can't be Ubuntu-specific if in support of Tiling Assistant which is
    not Ubuntu-specific. Needs to be proposed upstream if required at all.
  * Added new binary package 'mutter-dev-bin' for the missing 'mutter-devkit'
    binary. Four years late.
  * Bump the Mutter API/ABI to 17.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 02 Jul 2025 17:41:53 +0800

mutter (48.1-1ubuntu4) questing; urgency=medium

  [ Carlos Garnacho ]
  * d/p/u/cursor-drag-and-drop.patch: Fixes cursor stuck in incorrect state
    after attempt to drag and drop text inside the application's window.
    https://bugzilla.mozilla.org/show_bug.cgi?id=1699942

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Thu, 22 May 2025 10:55:41 +0200
