=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
-Bugs: mailto:maintainers@lists.progress-linux.org
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -50,7 +48,7 @@
                libgnome-desktop-4-dev,
                libgraphene-1.0-dev,
                libgtk-3-dev <!nocheck>,
-               libgtk-4-dev,
+               libgtk-4-dev (>= 4.14.0),
                libgudev-1.0-dev (>= 238),
                libice-dev,
                libinput-dev (>= 1.27.0),
@@ -59,13 +57,14 @@
                libnvidia-egl-wayland-dev,
                libpam0g-dev,
                libpango1.0-dev,
-               libpipewire-0.3-dev (>= 1.2.0),
+               libpipewire-0.3-dev (>= 1.2.7),
                libpixman-1-dev (>= 0.42),
                libsm-dev,
                libstartup-notification0-dev,
                libsysprof-6-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
                libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
                libsystemd-dev,
+               libumockdev-dev (>= 0.3.0),
                libwacom-dev,
                libwayland-dev (>= 1.23),
                libxau-dev,
@@ -85,7 +84,7 @@
                libxkbfile-dev,
                libxrandr-dev,
                libxrender-dev,
-               meson (>= 1.3.0),
+               meson (>= 1.5.0),
                pipewire <!nocheck>,
                pkgconf,
                python3-argcomplete,
@@ -94,7 +93,8 @@
                python3-docutils,
                sysprof [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
                systemd-dev,
-               wayland-protocols (>= 1.41),
+               umockdev <!nocheck>,
+               wayland-protocols (>= 1.44),
                wireplumber <!nocheck>,
                xauth <!nocheck>,
                xcvt:native,
@@ -105,10 +105,11 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://mutter.gnome.org/
-Vcs-Browser: https://git.progress-linux.org/horok/mutter
-Vcs-Git: https://git.progress-linux.org/horok/mutter
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/trixie
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/latest
+
 
 Package: mutter
 Architecture: linux-any
@@ -136,19 +137,22 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-16-tests
+Package: mutter-17-tests
 Architecture: linux-any
 Depends: at-spi2-core,
+         gir1.2-glib-2.0,
          dbus-daemon,
          dmz-cursor-theme,
          libglib2.0-bin,
-         libmutter-16-0 (= ${binary:Version}),
-         libmutter-test-16 (= ${binary:Version}),
+         libmutter-17-0 (= ${binary:Version}),
+         libmutter-test-17 (= ${binary:Version}),
          mutter (= ${binary:Version}),
-         pipewire (>= 1.2.0),
+         pipewire (>= 1.2.7),
          python3,
+         python3-gi,
          python3-dbus,
          python3-dbusmock,
+         umockdev,
          wireplumber,
          xauth,
          xvfb,
@@ -169,11 +173,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-16
+Package: gir1.2-mutter-17
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-16-0 (= ${binary:Version}),
+Depends: libmutter-17-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -191,7 +195,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-16-0
+Package: libmutter-17-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -217,11 +221,11 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-16-dev
+Package: libmutter-17-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-16 (= ${binary:Version}),
+Depends: gir1.2-mutter-17 (= ${binary:Version}),
          gnome-settings-daemon-dev,
          gobject-introspection,
          gsettings-desktop-schemas-dev (>= 40~alpha),
@@ -241,10 +245,10 @@
          libgraphene-1.0-dev,
          libinput-dev (>= 1.27.0),
          liblcms2-dev,
-         libmutter-16-0 (= ${binary:Version}),
+         libmutter-17-0 (= ${binary:Version}),
          libnvidia-egl-wayland-dev,
          libpango1.0-dev,
-         libpipewire-0.3-dev (>= 1.2.0),
+         libpipewire-0.3-dev (>= 1.2.7),
          libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
          libstartup-notification0-dev,
          libsystemd-dev,
@@ -280,14 +284,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-16
+Package: libmutter-test-17
 Section: libs
 Architecture: linux-any
-Depends: libmutter-16-0 (= ${binary:Version}),
+Depends: libmutter-17-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-metatest-16
+Provides: gir1.2-metatest-17
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -302,15 +306,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: magpie-common (<< 0.9.3-0ubuntu8~)
+Breaks: magpie-common (<< 0.9.3-0ubuntu8~),
+        libmutter-16-0 (<< 49~),
+        libmutter-15-0 (<< 49~),
+        libmutter-14-0 (<< 49~),
+        libmutter-13-0 (<< 49~),
+        libmutter-12-0 (<< 49~),
+        libmutter-11-0 (<< 49~),
+        libmutter-10-0 (<< 49~),
 Replaces: magpie-common (<< 0.9.3-0ubuntu8~)
 Description: shared files for the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
  things, window management, window compositing, focus tracking, workspace
- management, keybindings and monitor configuration.
- .
- Internally it uses a fork of Cogl, a hardware acceleration abstraction
- library used to simplify usage of OpenGL pipelines, as well as a fork
- of Clutter, a scene graph and user interface toolkit.
- .
