## mutter 49~beta

=== debian/changelog ===
mutter (49~beta-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.beta
  * debian/control: Bump dependencies: wayland 1.24, wayland-protocols 1.45
  * debian/libmutter-17-0.symbols: Update symbols for 49.beta
  * Drop upstreamed debian/patches:
    - build-Bump-mutter-API-version.patch
    - data-Remember-to-give-org.gnome.Mutter.Mdk.desktop-a-main.patch
  * Refresh debian/patches:
    - workarounds/Mark-several-additional-tests-as-flaky.patch
    - workarounds/tests-Install-stacking-tests-into-a-subdirectory.patch
    - ubuntu/window-Add-ability-to-override-the-edge-constraints.patch
  * Add debian/patches:
    - clutter-stage-Allow-for-there-being-no-sprite-when-a-devi.patch
      (LP: #2119273)
    - core-place-Guarantee-we-never-get-work-area-for-a-NULL-lo.patch
      (LP: #2117277)
    - monitor-Calculate-fractional-scaling-factors-using-exact-.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 05 Aug 2025 17:28:41 +0800
