=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
                libsystemd-dev,
                libumockdev-dev (>= 0.3.0),
                libwacom-dev,
-               libwayland-dev (>= 1.23),
+               libwayland-dev (>= 1.24),
                libxau-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -94,7 +94,7 @@
                sysprof [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
                systemd-dev,
                umockdev <!nocheck>,
-               wayland-protocols (>= 1.44),
+               wayland-protocols (>= 1.45),
                wireplumber <!nocheck>,
                xauth <!nocheck>,
                xcvt:native,
@@ -252,7 +252,7 @@
          libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
          libstartup-notification0-dev,
          libsystemd-dev,
-         libwayland-dev (>= 1.23),
+         libwayland-dev (>= 1.24),
          libx11-dev,
          libx11-xcb-dev,
          libxcb-randr0-dev,
