=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -24,6 +23,7 @@
                gir1.2-pangocairo-1.0-dev,
                gir1.2-xfixes-4.0-dev,
                gir1.2-xlib-2.0-dev,
+               libglycin-2-dev,
                gnome-control-center-data,
                gnome-pkg-tools,
                gnome-settings-daemon-common <!nocheck>,
@@ -31,6 +31,7 @@
                gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools,
+               libadwaita-1-dev,
                libei-dev (>= 1.3.901),
                libeis-dev (>= 1.3.901),
                libcairo2-dev,
@@ -41,7 +42,6 @@
                libegl1-mesa-dev,
                libfribidi-dev,
                libgbm-dev (>= 21.3),
-               libgdk-pixbuf-2.0-dev,
                libgl-dev,
                libgles-dev,
                libglib2.0-dev (>= 2.76),
@@ -105,11 +105,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://mutter.gnome.org/
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/latest
-
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
@@ -206,7 +203,7 @@
          mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: gnome-shell (<< 48~rc),
+Breaks: gnome-shell (<< 49~rc),
         xwayland (<< 2:23.1.0),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
@@ -238,7 +235,6 @@
          libeis-dev (>= 1.3.901),
          libegl1-mesa-dev,
          libgbm-dev (>= 21.3),
-         libgdk-pixbuf-2.0-dev,
          libgles-dev,
          libglib2.0-dev (>= 2.76),
          libgnome-desktop-4-dev,
@@ -305,7 +301,8 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         python3,
 Breaks: magpie-common (<< 0.9.3-0ubuntu8~),
         libmutter-16-0 (<< 49~),
         libmutter-15-0 (<< 49~),
@@ -319,3 +316,7 @@
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
  things, window management, window compositing, focus tracking, workspace
+ management, keybindings and monitor configuration.
+ .
+ Internally it uses a fork of Cogl, a hardware acceleration abstraction
+ library used to simplify usage of OpenGL pipelines, as well as a fork
